QGIS Application - Bug report #311
Building raster pyramids crashes QGIS
2006-09-26 01:20 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Rasters

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10370
Description

Clicking on "Create pyramids" causes QGIS to crash.
Raster: TIFF with JPEG DCT compression.

QGIS: 0.8 (rev. 5873)

Qt:4.1.4

setProgress called with 0/0

Debug: ggsrasterlayer.cpp: 4175: (buildPyramids), Build pyramids:: Level: 2
Debug: qgsrasterlayer.cpp: 4176: (buildPyramids), x: 320
Debug: qgsrasterlayer.cpp: 4177: (buildPyramids), y: 214
Debug: qgsrasterlayer.cpp: 4178: (buildPyramids), exists ::
Debug: qgsrasterlayer.cpp: 4182: (buildPyramids) Bundmg .....

setProgress called with 1/3

qgis: tif_jpeg.c:1299: JPEGPreEncode: Assertion @!sp->cinfo.comm.is_decompressor' failed.

Aborted

History

#1 - 2006-10-23 02:00 AM - anonymous -

Can you attach an example file?

What version of gdal are you using?

#2 - 2006-10-24 11:03 AM - anonymous -

this is a general compression bug in libgdal-1.3.2 and earlier.

gdalwarp/gdaladdo segfaults in 99% of cases on creating/modifying the tiled tiff files with jpeg, Izw or deflate compression.

#3 - 2006-10-29 12:52 AM - anonymous -
- Resolution set to fixed
- Status changed from Open to Closed

This problem in gdal has been fixed (see http://bugzilla.remotesensing.org/show_bug.cgi?id=757), but is only available in cvs versions of gdal (the latest

2025-06-08 12



http://bugzilla.remotesensing.org/show_bug.cgi?id=757

gdal, 1.3.2, doesn't include it).

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
